;;; Text wird auf Layer 0-Text abgelegt.


(defun prx_lay (reatyp befname / );Wenn Text gestartet wird
  (cond
    ((wcmatch (car befname) "*TEXT")
    (setq *oldlay* (getvar "CLAYER"))
    (setvar "CLAYER" "0-Text")
    )
    )
  )
(defun after_lay (reatyp befname / );Wenn Text beendet wird
  (cond
    ((and
      (wcmatch (car befname) "*TEXT")
      *oldlay*
      )
    (setvar "CLAYER" *oldlay*)
    (setq *oldlay* nil)
    )
    )
  )
(defun reaload ();Initialisierung des Reactors
  (if (not *DEFUN_TEXTLAYER*)
    (progn
      (setq *DEFUN_TEXTLAYER*
            (VLR-Command-Reactor "*DEFUN_TEXTLAYER*"
              '((:vlr-commandEnded . after_lay)
                (:vlr-commandwillstart . prx_lay)
                )
              )
            )
      (princ "\nLayerschalter Text aktiviert")
      )
    )
  )
(reaload)
